PETSc version 3.15.5
Fix/Edit manual page

# MatFactorGetUseOrdering

Indicates if the factorization uses the ordering provided in MatLUFactorSymbolic(), MatCholeskyFactorSymbolic()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFactorGetUseOrdering(Mat mat, PetscBool *flg)

Logically Collective on Mat

### Input Parameters

| mat | - the matrix

### Output Parameters

| flg | - PETSC_TRUE if uses the ordering

### Notes

Most internal PETSc factorizations use the ordering past to the factorization routine but external packages do no, thus we want to skip the ordering when it is not needed.

### See Also

MatCopy(), MatDuplicate(), MatGetFactorAvailable(), MatGetFactor(), MatLUFactorSymbolic(), MatCholeskyFactorSymbolic()

### Level

developer

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages